<template>
  <mind-view>
    <mind-dashboard>
			<mind-widget-container width="4" height="3"
        title=""  title-size="32px"
				refresh  @refresh="fetchStatus"
				v-loading="loading">
			</mind-widget-container>
			<mind-widget-container width="4" height="3"
        title=""  title-size="32px"
				refresh  @refresh="fetchStatus"
				v-loading="loading">
			</mind-widget-container>
			<mind-widget-container width="4" height="3"
        title=""  title-size="32px"
				refresh  @refresh="fetchStatus"
				v-loading="loading">
			</mind-widget-container>
			<mind-widget-container width="6" height="3"
        title=""  title-size="32px"
				refresh  @refresh="fetchStatus"
				v-loading="loading">
			</mind-widget-container>
			<mind-widget-container width="6" height="3"
        title=""  title-size="32px"
				refresh  @refresh="fetchStatus"
				v-loading="loading">
			</mind-widget-container>

    </mind-dashboard>
  </mind-view>
</template>

<script setup>
  import { ref, computed } from 'vue'

  const ts = ref(new Date())


  /* ********************************** computados ************************************************* */
  const ultimaActualizacion = computed(()=>{
    return ts.value.toLocaleString('es-AR')
  })


  /* ********************************** métodos  *************************************************** */
  /**
   * actualiza el la hora
   */
  function actualizarTS() {
    ts.value = new Date()
  }


</script>